PETSc version 3.17.4
Fix/Edit manual page

# PetscRealPart

Returns the real part of a PetscScalar

### Synopsis

    #include <petscmath.h>
    PetscReal PetscRealPart(PetscScalar v)

Not Collective

### Input Parameter

| v | - value to find the real part of

### See Also

PetscScalar, PetscImaginaryPart(), PetscMax(), PetscClipInterval(), PetscAbsInt(), PetscAbsReal(), PetscSqr()

### Level

beginner

### Location

include/petscmath.h

### Examples

src/sys/classes/random/tutorials/ex1.c.html
src/sys/classes/random/tutorials/ex2.c.html
src/vec/vec/utils/tagger/tutorials/ex1.c.html
src/vec/vec/tutorials/ex9.c.html
src/vec/vec/tutorials/ex18.c.html
src/vec/vec/tutorials/ex1f.F90.html
src/vec/vec/tutorials/ex1f90.F90.html
src/vec/vec/tutorials/ex20f90.F90.html
src/dm/impls/plex/tutorials/ex6.c.html
src/dm/impls/stag/tutorials/ex1.c.html
src/dm/impls/stag/tutorials/ex4.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages